﻿using System.Web;
using System.Web.Mvc;
using System.Web.Optimization;
using System.Web.Routing;

namespace TestProject
{
    /// <summary>
    /// MVC 애플리케이션
    /// </summary>
    public class MvcApplication : HttpApplication
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Protected

        #region 애플리케이션 시작시 처리하기 - Application_Start()

        /// <summary>
        /// 애플리케이션 시작시 처리하기
        /// </summary>
        protected void Application_Start()
        {
            AreaRegistration.RegisterAllAreas();

            FilterConfiguration.RegisterGlobalFilterCollection(GlobalFilters.Filters);

            RouteConfiguration.RegisterRouteCollection(RouteTable.Routes);

            BundleConfiguration.RegisterBundleCollection(BundleTable.Bundles);
        }

        #endregion
    }
}